image: tiangolo/docker-with-compose

stages:
  - build
  - deploy

build:
  stage: build
  script:
    - docker-compose build

deploy:
  stage: deploy
  script:
    - docker stack deploy --compose-file docker-compose.yml applications
